%% edit_tog_call
%    callback function for when the edit button is clicked. when
%    edit is toggled we want to redraw the table with the edit
%    button visible or not visible
% inputs:
%   object - current GUI object
%   src - source of the callback calling
%   event - event that triggered the callback
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = edit_tog_call(object,src,event)
% save the value of the edit toggle
value = get(src,'Value');
object.edit = value;
% reset the widths and heights of the grid then redraw all the
% grids.
object.reset_wh;
object.draw_allgrids(0);

end

